Source: libsub-identify-perl
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: gregor herrmann <gregoa@debian.org>
Section: perl
Testsuite: autopkgtest-pkg-perl
Priority: optional
Build-Depends: debhelper-compat (= 13),
               perl-xs-dev,
               perl:native,
               libtest-pod-perl
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/libsub-identify-perl
Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/libsub-identify-perl.git
Homepage: https://metacpan.org/release/Sub-Identify

Package: libsub-identify-perl
Architecture: any
Depends: ${perl:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Description: module to retrieve names of code references
 Sub::Identify allows you to retrieve the real name of code references. For
 this, it uses perl's introspection mechanism, provided by the B module.
 .
 It provides four functions : sub_name returns the name of the
 subroutine (or __ANON__ if it's an anonymous code reference),
 stash_name returns its package, and sub_fullname returns the
 concatenation of the two.
 .
 The fourth function, get_code_info, returns a list of two elements,
 the package and the subroutine name (in case of you want both and are worried
 by the speed.)
 .
 In case of subroutine aliasing, those functions always return the
 original name.
